# Guides

The guides in the directory will help you implement common use cases for varying technologies inside of React Static. Most of them only require plugins, but some include code snippets and other useful setup information.

### What happened to the old examples directory?

In an effort to decrease the use of React Static examples as boilerplates, we are slowly converting React Static's previously available examples to individual guides in this directory. If you don't see a guide here for a specific example, that propbably means we have not written the guide to replace it yet. The [archives/old-examples](/archives/old-examples) directory is where all of the old examples are stored for now for reference. If you would like to convert one of them to a guide please follow the guide instructions below:

### Don't see the guide you need? Write it!

Guides are meant to be extremely succinct. Please try to adhere to these tips when writing a guide:

- Do not write guides that combine technologies. If you need to, add integration instructions to the existing guides on how to combine them with each other.
- Include only the necessary instructions on how to implement the simplest form of the technology
- Reference external documentation as much as possible. We don't want to maintain documentation for the technology you are integrating.
- If an old example in [archives/old-examples](/archives/old-examples) exists for a guide, please delete the old example as part of your PR
